Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354642 - please add gnome-keyring dependency
Summary: please add gnome-keyring dependency
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 20:10 UTC by Tomas Dabašinskas
Modified: 2017-12-12 10:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:32:08 UTC


Attachments (Terms of Use)

Description Tomas Dabašinskas 2016-07-11 20:10:17 UTC
Hi, I think either NetworkManager or NetworkManager-wifi should have a dependency for gnome-keyring otherwise when connecting to wireless networks I'm not getting a prompt for the password

journalctl has the following:

Jul 11 17:35:07 localhost NetworkManager[732]: <info>  [1468258507.3305] device (wlp3s0): state change: config -> need-auth (reason 'none') [50 60 0]
Jul 11 17:35:07 localhost NetworkManager[732]: <warn>  [1468258507.3555] device (wlp3s0): No agents were available for this request.
Jul 11 17:35:07 localhost NetworkManager[732]: <info>  [1468258507.3556] device (wlp3s0): state change: need-auth -> failed (reason 'no-secrets') [60 120 7]
Jul 11 17:35:07 localhost NetworkManager[732]: <info>  [1468258507.3558] manager: NetworkManager state is now DISCONNECTED

thanks

Comment 1 Tomas Dabašinskas 2016-07-11 20:13:57 UTC
this could also be part of network-manager-applet

Comment 2 Jan Kurik 2016-07-26 04:35:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Blueowl 2016-08-10 16:09:01 UTC
Secrets are delivered to NetworkManager by secret agents that are usually part of a client (nm-applet, nmcli, plasma-nm, ...). nm-applet uses libsecret API [1] that can store secrets at several keyring implementations (like gnome-keyring or ksecretservice)

The error "(wlp3s0): No agents were available for this request." might mean you don't have any client (secret agent) running. So please describe what tools you use to make a connection and other relevant information (like your desktop environment, Wi-Fi connection type, etc.)

[1] https://wiki.gnome.org/Projects/Libsecret

Comment 4 Fedora End Of Life 2017-11-16 18:58:34 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:32:08 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.